> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaleidoswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get LSP Information

> Retrieve Lightning Service Provider capabilities and configuration

## Overview

This endpoint provides essential information about the LSP including supported assets, options, and connection details.

<Note>This is typically the first endpoint you should call when integrating with the KaleidoSwap API.</Note>


## OpenAPI

````yaml /openapi.json get /api/v1/lsps1/get_info
openapi: 3.1.0
info:
  title: Kaleidoswap RGB-LSP API
  description: API for managing swaps and channels
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/lsps1/get_info:
    get:
      tags:
        - lsps1
      summary: Get Info
      operationId: get_info_api_v1_lsps1_get_info_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetInfoResponseModel'
      x-codeSamples:
        - lang: javascript
          label: TypeScript SDK - Get LSP Info
          source: |-
            import { KaleidoClient } from 'kaleido-sdk';

            const client = new KaleidoClient({
              baseUrl: 'https://api.staging.kaleidoswap.com/api/v1'
            });

            const lspInfo = await client.getLspInfo();
            console.log(`LSP Pubkey: ${lspInfo.pubkey}`);
            console.log(`Connection URL: ${lspInfo.lsp_connection_url}`);
        - lang: python
          label: Python SDK - Get LSP Info
          source: |-
            import asyncio
            from kaleido_sdk import KaleidoClient

            async def main():
                async with KaleidoClient(
                    api_url="https://api.staging.kaleidoswap.com/api/v1"
                ) as client:
                    lsp_info = await client.get_lsp_info()
                    print(f"LSP Pubkey: {lsp_info.pubkey}")
                    print(f"Connection URL: {lsp_info.lsp_connection_url}")

            asyncio.run(main())
components:
  schemas:
    GetInfoResponseModel:
      properties:
        lsp_connection_url:
          type: string
          title: Lsp Connection Url
        options:
          $ref: '#/components/schemas/OrderOptions'
        assets:
          items:
            $ref: '#/components/schemas/AssetsOptions'
          type: array
          title: Assets
      type: object
      required:
        - lsp_connection_url
        - options
        - assets
      title: GetInfoResponseModel
    OrderOptions:
      properties:
        min_required_channel_confirmations:
          type: integer
          minimum: 0
          title: Min Required Channel Confirmations
          default: 0
        min_funding_confirms_within_blocks:
          type: integer
          minimum: 0
          title: Min Funding Confirms Within Blocks
          default: 0
        min_onchain_payment_confirmations:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Min Onchain Payment Confirmations
        supports_zero_channel_reserve:
          type: boolean
          title: Supports Zero Channel Reserve
          default: true
        min_onchain_payment_size_sat:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Min Onchain Payment Size Sat
        max_channel_expiry_blocks:
          type: integer
          minimum: 1
          title: Max Channel Expiry Blocks
          default: 20160
        min_initial_client_balance_sat:
          type: integer
          minimum: 0
          title: Min Initial Client Balance Sat
          default: 0
        max_initial_client_balance_sat:
          type: integer
          minimum: 0
          title: Max Initial Client Balance Sat
          default: 1000000
        min_initial_lsp_balance_sat:
          type: integer
          minimum: 0
          title: Min Initial Lsp Balance Sat
          default: 0
        max_initial_lsp_balance_sat:
          type: integer
          minimum: 0
          title: Max Initial Lsp Balance Sat
          default: 16777215
        min_channel_balance_sat:
          type: integer
          minimum: 0
          title: Min Channel Balance Sat
          default: 50000
        max_channel_balance_sat:
          type: integer
          minimum: 0
          title: Max Channel Balance Sat
          default: 16777215
      additionalProperties: false
      type: object
      title: OrderOptions
    AssetsOptions:
      properties:
        name:
          type: string
          title: Name
          default: US Dollar Notes
        asset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Asset Id
          default: rgb:$i4cFKwt-2C5LZ3X-l$kOTGN-O6l1AOP-aP9COyn-7IeBkEM
        ticker:
          type: string
          title: Ticker
          default: USDT
        precision:
          type: integer
          title: Precision
          default: 6
        issued_supply:
          type: integer
          title: Issued Supply
          default: 0
        min_initial_client_amount:
          type: integer
          minimum: 0
          title: Min Initial Client Amount
          default: 0
        max_initial_client_amount:
          type: integer
          minimum: 0
          title: Max Initial Client Amount
          default: 0
        min_initial_lsp_amount:
          type: integer
          minimum: 0
          title: Min Initial Lsp Amount
          default: 0
        max_initial_lsp_amount:
          type: integer
          minimum: 0
          title: Max Initial Lsp Amount
          default: 10000
        min_channel_amount:
          type: integer
          minimum: 0
          title: Min Channel Amount
          default: 0
        max_channel_amount:
          type: integer
          minimum: 0
          title: Max Channel Amount
          default: 10000
      additionalProperties: false
      type: object
      title: AssetsOptions

````